# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:33

#####
Index

### Constructors

constructor

### Properties

_loop$
db
isInitialized$
params
particlesResolver
statusApi

### Accessors

loop$

### Methods

start
syncAllTransactions
syncTransactions

## Constructors

### constructor

- new default(deps, particlesResolver): default

- #### Parameters

  - deps: ServiceDeps
  - particlesResolver: default

  #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:56

## Properties

### `Private` _loop$

_loop$: Observable<any>

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:40

### `Private` db

db: default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:36

### `Private` isInitialized$

isInitialized$: Observable<boolean>

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:34

### `Private` params

params: SyncServiceParams = ...

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:51

### `Private` particlesResolver

particlesResolver: default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:38

### `Private` statusApi

statusApi: {
sendStatus: ((status, message?) => void);
} = ...

#### Type declaration

- ##### sendStatus: ((status, message?) => void)

  - - (status, message?): void

    - #### Parameters

      - status: "error" | "idle" | "in-progress"
      - `Optional` message: string

      #### Returns void

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:46

## Accessors

### loop$

- get loop$(): Observable<any>

- #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:42

## Methods

### start

- start(): default

- #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:88

### `Private` syncAllTransactions

- syncAllTransactions(): Promise<void>

- #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:104

### syncTransactions

- syncTransactions(myAddress, address, addCyberlinksToSync?): Promise<void>

- #### Parameters

  - myAddress: string
  - address: string
  - addCyberlinksToSync: boolean = false

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncTransactionsLoop/SyncTransactionsLoop.ts:127